# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KSycocaEntry Class Reference

Base class for all Sycoca entries. More...

`#include <ksycocaentry.h>`

Inheritance diagram for KSycocaEntry:

[legend]
Collaboration diagram for KSycocaEntry:

[legend]
List of all members.

## Public Types

typedef KSharedPtr< KSycocaEntry > | Ptr
typedef QValueList< Ptr > | List

## Public Member Functions

virtual bool | isType (KSycocaType t) const
virtual KSycocaType | sycocaType () const
| KSycocaEntry (const QString &path)
| Default constructor.
| KSycocaEntry (QDataStream &_str, int offset)
virtual QString | name () const =0
QString | entryPath () const
virtual bool | isValid () const =0
virtual bool | isDeleted () const
int | offset ()
virtual void | save (QDataStream &s)
virtual void | load (QDataStream &)=0

## Static Public Member Functions

void | read (QDataStream &s, QString &str)
| Safe demarshalling functions.
void | read (QDataStream &s, QStringList &list)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

bool | m_bDeleted
QString | mPath

## Detailed Description

Base class for all Sycoca entries.

You can't create an instance of KSycocaEntry, but it provides the common functionality for servicetypes and services.

Definition at line 37 of file ksycocaentry.h.

## Constructor & Destructor Documentation

KSycocaEntry::KSycocaEntry | ( | const QString & | path | ) | `[inline]`

| Default constructor. Definition at line 51 of file ksycocaentry.h.

## Member Function Documentation

void KSycocaEntry::read | ( | QDataStream & | s,
|  | QString & | str
| ) | `[static]`

| Safe demarshalling functions. Definition at line 428 of file ksycoca.cpp. References QDataStream::readRawBytes(), QString::setLength(), and QString::unicode().

virtual QString KSycocaEntry::name | ( |  | ) | const`[pure virtual]`

Returns:
  the name of this entry

QString KSycocaEntry::entryPath | ( |  | ) | const`[inline]`

Returns:
  the path of this entry The path can be absolute or relative. The corresponding factory should know relative to what.

Definition at line 79 of file ksycocaentry.h.

virtual bool KSycocaEntry::isValid | ( |  | ) | const`[pure virtual]`

Returns:
  true if valid

virtual bool KSycocaEntry::isDeleted | ( |  | ) | const`[inline, virtual]`

Returns:
  true if deleted

Definition at line 89 of file ksycocaentry.h.

The documentation for this class was generated from the following files:

- ksycocaentry.h
- ksycoca.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:44 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001